Subject: Re: git filter bug

From: Junio C Hamano <[email-masked]>
Date: Mon, 13 Jun 2022 10:29:00 -0700

Johannes Sixt <[email-masked]> writes:

> git status does not compute differences; it only looks at the stat
> information, and that is by design for performance reasons. So, IMO,
> this is working as designed and not a bug.

Hmph, is that true?  I thought "git status" did an equivalent of
diff.autoRefreshIndex just like other commands like "git diff" at
the Porcelain level.

Is this more like the commonly seen "after you futzed the attributes
to affect normalization, "--renormalize" is needed to force the
index to match the cleaned version of working tree under the new
clean filter rules", I wonder?